libstdc++: Normal Distributions

libstdc++

Normal Distributions
Numerics » Random Number Generation » Random Number Distributions
Collaboration diagram for Normal Distributions:

## Classes
class | std::cauchy_distribution< _RealType >
class | std::chi_squared_distribution< _RealType >
class | std::fisher_f_distribution< _RealType >
class | std::lognormal_distribution< _RealType >
class | std::normal_distribution< _RealType >
class | std::student_t_distribution< _RealType >

## Functions
template<typename _RealType, typename _CharT, typename _Traits>
std::basic_ostream< _CharT, _Traits > & | std::operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::cauchy_distribution< _RealType > &__x)
template<typename _RealType, typename _CharT, typename _Traits>
std::basic_istream< _CharT, _Traits > & | std::operator>> (std::basic_istream< _CharT, _Traits > &__is, std::cauchy_distribution< _RealType > &__x)

## Detailed Description

## Function Documentation

## ◆ operator<<()

template<typename _RealType, typename _CharT, typename _Traits>

std::basic_ostream< _CharT, _Traits > & std::operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const std::cauchy_distribution< _RealType > & | __x )

Inserts a cauchy_distribution random number distribution `__x` into the output stream `__os`.

Parameters

  __os | An output stream.
  __x | A cauchy_distribution random number distribution.

Returns
  The output stream with the state of `__x` inserted or in an error state.

Definition at line 2252 of file bits/random.tcc.

References tan().

## ◆ operator>>()

template<typename _RealType, typename _CharT, typename _Traits>

std::basic_istream< _CharT, _Traits > & std::operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | std::cauchy_distribution< _RealType > & | __x )

Extracts a cauchy_distribution random number distribution `__x` from the input stream `__is`.

Parameters

  __is | An input stream.
  __x | A cauchy_distribution random number generator engine.

Returns
  The input stream with `__x` extracted or in an error state.

Definition at line 2297 of file bits/random.tcc.

References std::ios_base::flags(), and std::cauchy_distribution< _RealType >::param().